# -*- coding: utf-8 -*-
"""TEXT EXTRACTION USING PADDLEOCR

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1v0YU4Rq8K3LHqozDvxgqWOdh4l7u1EjM

## **TEXT EXTRACTION USING PADDLEOCR**

###**01. INSTALLING** PACKAGES
"""

pip install paddleocr

pip install paddlepaddle -i https://mirror.baidu.com/pypi/simple

"""### **02. IMPORTING LIBRARIES**"""

from paddleocr import PaddleOCR
from termcolor import colored

"""### **03. DEFINING FUNCTION**"""

def paddle(image,lang):
  x = str(lang)
  ocr = PaddleOCR(use_angle_cls=True,lang=x)
  result = ocr.ocr(image, cls=True)
  print(colored("Extracted Text from the given image file is:", 'blue', attrs=['bold']))
  for res in result:
    print(res[1][0])
  return

"""### **04. TESTING**"""

image = "/content/chinese.jpg"
lang = "ch"
paddle(image,lang)